/**
 * Informatique Industrielle et Java
 * chapitre 5
 * 
 * Illustrer l'utilisation de la m?thode toString
 * Dans la classe Complexe1 la m?thode toString n'est pas red?finie
 * Elle est red?finie uniquement dans la classe Complexe2 pour comparer
 * les deux versions
 * 
 * @author F. Mallet & F. Bo?ri
 * @version 2003.04
 */
public class Complexe1
{
	private double reelle, imaginaire;
	/**
	 * Constructeur de la classe Complexe1
	 */
	public Complexe1(double reelle, double imaginaire)
	{
		// initialise les attributs
		this.reelle = reelle; 
	    this.imaginaire = imaginaire;
	}

/**
 * @return la partie reelle du nombre complexe
 */
  public double partie_reelle() {
	return reelle; 
  }

/**
 * @return la partie imaginaire du nombre complexe
 */
  public double partie_imaginaire() { return imaginaire; }
}
