/**
 * Informatique Industrielle et Java
 * Projet main du chapitre5
 *
 * @author F. Mallet
 * @version 1
 */
import montre.Montre;

import javax.swing.JLabel;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/** Cette classe r?agit ? un ?v?nement actionPerformed
 *  les secondes de la montre sont incr?ment?es
 */
public class ChangeSecondes implements ActionListener {
    /** La montre qui est manipul?e */
    private Montre montre;

// La classe montre encapsule ? la fois le comportement et la vue	
    public ChangeSecondes(Montre m) {
        this.montre = m;
    }

// impl?mente l'interface ActionListener
    public void actionPerformed(ActionEvent ae) {
        montre.incrementerSecondes();
    }
}